Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.optimization.termination
Class CombinedCondition.CombinedConditionParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<AbstractTerminationCondition>
              de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition.AbstractTerminationConditionParameterSet
                  de.jstacs.algorithms.optimization.termination.CombinedCondition.CombinedConditionParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Enclosing class:
  CombinedCondition

    public static class CombinedCondition.CombinedConditionParameterSet

extends AbstractTerminationCondition.AbstractTerminationConditionParameterSet

This class implements the parameter set for a `CombinedCondition`.

Author:
  Jan Grau, Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`CombinedCondition.CombinedConditionParameterSet()` This constructor creates an empty parameter set.
`CombinedCondition.CombinedConditionParameterSet(int threshold, AbstractTerminationCondition[] condition)` This constructor creates a filled instance of a parameters set.
`CombinedCondition.CombinedConditionParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition.AbstractTerminationConditionParameterSet
`clone`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedCondition.CombinedConditionParameterSet

    public CombinedCondition.CombinedConditionParameterSet()
                                                    throws Exception

  This constructor creates an empty parameter set.

  Throws:
    `Exception` - if some error occurs

### CombinedCondition.CombinedConditionParameterSet

    public CombinedCondition.CombinedConditionParameterSet(StringBuffer xml)
                                                    throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs an `CombinedCondition.CombinedConditionParameterSet` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `CombinedCondition.CombinedConditionParameterSet` could not be reconstructed out of the `StringBuffer` `representation`

### CombinedCondition.CombinedConditionParameterSet

    public CombinedCondition.CombinedConditionParameterSet(int threshold,
                                                           AbstractTerminationCondition[] condition)
                                                    throws Exception

  This constructor creates a filled instance of a parameters set.

  Parameters:
    `threshold` - the number of conditions that has to be fulfilled
    `condition` - the individual conditions for stopping the algorithm
  Throws:
    `Exception` - if the `CombinedCondition.CombinedConditionParameterSet` could not be created

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet<AbstractTerminationCondition>`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet<AbstractTerminationCondition>`
  Returns:
    the name of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD